/***********************************************************************
*
* defines.h
*
* psinfo: process info
*
* Copyright (C) 2008 Ward van Wanrooij <ward@ward.nu>
*
* This software may be distributed according to the terms of the GNU
* General Public License, version 2 or (at your option) any later
* version.
*
***********************************************************************/

//policies from <bits/sched.h>
#ifndef SCHED_OTHER
#define SCHED_OTHER 0
#endif
#ifndef SCHED_FIFO
#define SCHED_FIFO 1
#endif
#ifndef SCHED_RR
#define SCHED_RR 2
#endif
#ifndef SCHED_BATCH
#define SCHED_BATCH 3
#endif

//signals from <bits/signum.h>
#ifndef SIGHUP
#define SIGHUP 1
#endif
#ifndef SIGINT
#define SIGINT 2
#endif
#ifndef SIGQUIT
#define SIGQUIT 3
#endif
#ifndef SIGILL
#define SIGILL 4
#endif
#ifndef SIGTRAP
#define SIGTRAP 5
#endif
#ifndef SIGABRT
#define SIGABRT 6
#endif
#ifndef SIGIOT
#define SIGIOT 6
#endif
#ifndef SIGBUS
#define SIGBUS 7
#endif
#ifndef SIGFPE
#define SIGFPE 8
#endif
#ifndef SIGKILL
#define SIGKILL 9
#endif
#ifndef SIGUSR1
#define SIGUSR1 10
#endif
#ifndef SIGSEGV
#define SIGSEGV 11
#endif
#ifndef SIGUSR2
#define SIGUSR2 12
#endif
#ifndef SIGPIPE
#define SIGPIPE 13
#endif
#ifndef SIGALRM
#define SIGALRM 14
#endif
#ifndef SIGTERM
#define SIGTERM 15
#endif
#ifndef SIGSTKFLT
#define SIGSTKFLT 16
#endif
#ifndef SIGCLD
#define SIGCLD SIGCHLD
#endif
#ifndef SIGCHLD
#define SIGCHLD 17
#endif
#ifndef SIGCONT
#define SIGCONT 18
#endif
#ifndef SIGSTOP
#define SIGSTOP 19
#endif
#ifndef SIGTSTP
#define SIGTSTP 20
#endif
#ifndef SIGTTIN
#define SIGTTIN 21
#endif
#ifndef SIGTTOU
#define SIGTTOU 22
#endif
#ifndef SIGURG
#define SIGURG 23
#endif
#ifndef SIGXCPU
#define SIGXCPU 24
#endif
#ifndef SIGXFSZ
#define SIGXFSZ 25
#endif
#ifndef SIGVTALRM
#define SIGVTALRM 26
#endif
#ifndef SIGPROF
#define SIGPROF 27
#endif
#ifndef SIGWINCH
#define SIGWINCH 28
#endif
#ifndef SIGPOLL
#define SIGPOLL SIGIO
#endif
#ifndef SIGIO
#define SIGIO 29
#endif
#ifndef SIGPWR
#define SIGPWR 30
#endif
#ifndef SIGSYS
#define SIGSYS 31
#endif
#ifndef SIGUNUSED
#define SIGUNUSED 31
#endif

//signals from <linux/capability.h>
#ifndef CAP_CHOWN
#define CAP_CHOWN 0
#endif
#ifndef CAP_DAC_OVERRIDE
#define CAP_DAC_OVERRIDE 1
#endif
#ifndef CAP_DAC_READ_SEARCH
#define CAP_DAC_READ_SEARCH 2
#endif
#ifndef CAP_FOWNER
#define CAP_FOWNER 3
#endif
#ifndef CAP_FSETID
#define CAP_FSETID 4
#endif
#ifndef CAP_FS_MASK
#define CAP_FS_MASK 0x1f
#endif
#ifndef CAP_KILL
#define CAP_KILL 5
#endif
#ifndef CAP_SETGID
#define CAP_SETGID 6
#endif
#ifndef CAP_SETUID
#define CAP_SETUID 7
#endif
#ifndef CAP_SETPCAP
#define CAP_SETPCAP 8
#endif
#ifndef CAP_LINUX_IMMUTABLE
#define CAP_LINUX_IMMUTABLE 9
#endif
#ifndef CAP_NET_BIND_SERVICE
#define CAP_NET_BIND_SERVICE 10
#endif
#ifndef CAP_NET_BROADCAST
#define CAP_NET_BROADCAST 11
#endif
#ifndef CAP_NET_ADMIN
#define CAP_NET_ADMIN 12
#endif
#ifndef CAP_NET_RAW
#define CAP_NET_RAW 13
#endif
#ifndef CAP_IPC_LOCK
#define CAP_IPC_LOCK 14
#endif
#ifndef CAP_IPC_OWNER
#define CAP_IPC_OWNER 15
#endif
#ifndef CAP_SYS_MODULE
#define CAP_SYS_MODULE 16
#endif
#ifndef CAP_SYS_RAWIO
#define CAP_SYS_RAWIO 17
#endif
#ifndef CAP_SYS_CHROOT
#define CAP_SYS_CHROOT 18
#endif
#ifndef CAP_SYS_PTRACE
#define CAP_SYS_PTRACE 19
#endif
#ifndef CAP_SYS_PACCT
#define CAP_SYS_PACCT 20
#endif
#ifndef CAP_SYS_ADMIN
#define CAP_SYS_ADMIN 21
#endif
#ifndef CAP_SYS_BOOT
#define CAP_SYS_BOOT 22
#endif
#ifndef CAP_SYS_NICE
#define CAP_SYS_NICE 23
#endif
#ifndef CAP_SYS_RESOURCE
#define CAP_SYS_RESOURCE 24
#endif
#ifndef CAP_SYS_TIME
#define CAP_SYS_TIME 25
#endif
#ifndef CAP_SYS_TTY_CONFIG
#define CAP_SYS_TTY_CONFIG 26
#endif
#ifndef CAP_MKNOD
#define CAP_MKNOD 27
#endif
#ifndef CAP_LEASE
#define CAP_LEASE 28
#endif
#ifndef CAP_AUDIT_WRITE
#define CAP_AUDIT_WRITE 29
#endif
#ifndef CAP_AUDIT_CONTROL
#define CAP_AUDIT_CONTROL 30
#endif

//process flags from <linux/sched.h>
#ifndef PF_ALIGNWARN
#define PF_ALIGNWARN 0x00000001
#endif
#ifndef PF_STARTING
#define PF_STARTING 0x00000002
#endif
#ifndef PF_EXITING
#define PF_EXITING 0x00000004
#endif
#ifndef PF_EXITPIDONE
#define PF_EXITPIDONE 0x00000008
#endif
#ifndef PF_VCPU
#define PF_VCPU 0x00000010
#endif
#ifndef PF_FORKNOEXEC
#define PF_FORKNOEXEC 0x00000040
#endif
#ifndef PF_SUPERPRIV
#define PF_SUPERPRIV 0x00000100
#endif
#ifndef PF_DUMPCORE
#define PF_DUMPCORE 0x00000200
#endif
#ifndef PF_SIGNALED
#define PF_SIGNALED 0x00000400
#endif
#ifndef PF_MEMALLOC
#define PF_MEMALLOC 0x00000800
#endif
#ifndef PF_FLUSHER
#define PF_FLUSHER 0x00001000
#endif
#ifndef PF_USED_MATH
#define PF_USED_MATH 0x00002000
#endif
#ifndef PF_NOFREEZE
#define PF_NOFREEZE 0x00008000
#endif
#ifndef PF_FROZEN
#define PF_FROZEN 0x00010000
#endif
#ifndef PF_FSTRANS
#define PF_FSTRANS 0x00020000
#endif
#ifndef PF_KSWAPD
#define PF_KSWAPD 0x00040000
#endif
#ifndef PF_SWAPOFF
#define PF_SWAPOFF 0x00080000
#endif
#ifndef PF_LESS_THROTTLE
#define PF_LESS_THROTTLE 0x0010000
#endif
#ifndef PF_BORROWED_MM
#define PF_BORROWED_MM 0x00200000
#endif
#ifndef PF_RANDOMIZE
#define PF_RANDOMIZE 0x00400000
#endif
#ifndef PF_SWAPWRITE
#define PF_SWAPWRITE 0x00800000
#endif
#ifndef PF_SPREAD_PAGE
#define PF_SPREAD_PAGE 0x01000000
#endif
#ifndef PF_SPREAD_SLAB
#define PF_SPREAD_SLAB 0x02000000
#endif
#ifndef PF_MEMPOLICY
#define PF_MEMPOLICY 0x10000000
#endif
#ifndef PF_MUTEX_TESTER
#define PF_MUTEX_TESTER 0x20000000
#endif
#ifndef PF_FREEZER_SKIP
#define PF_FREEZER_SKIP 0x40000000
#endif
